DagdrømNadja
Germany 2012 (Broken Spine Productions bsp06)LP, Album, Ltd
The Black HandThe Skull Defekts
UK 2007 (Riot Season REPOSELP014)LP, Ltd
Living EyesRadio Birdman
Australia 2024 (Citadel (7) CITLP)LP, Album, Ltd, RE
The Kids Will Have Their SaySSD
US 2024 (Xclaim! no.1)12", Album, Ltd, RE, RM, RP, Pur
Lenny Lashley's Gang Of OneLenny Lashley's Gang Of One
US 2011 (Holdfast Records HF001)7", Ltd, Num, Pic
Split SingleThe Phoenix Foundation , Custody
UK & Europe 2019 (Little Rocket Records (2) LRR-030 SP)7", Single, Ltd, Num
Mucky PupPuncture
UK 1977 (Small Wonder Records small one)7", Single, Ltd
Death Is Nothing To UsFiddlehead
USA & Canada 2023 (Run For Cover Records (2) RFC 259)LP, Album, Ltd, Ora
Calling The DogsCitiZen
US 2023 (Run For Cover Records (2) RFC264)LP, Album, Ltd, Bro
Don’t Wait For A Signjeanines
US 2022 (Slumberland Records SLR 262)12", Album, Ltd, Blu
As You PleaseCitiZen
US 2023 (Run For Cover Records (2) RFC162)LP, Album, Ltd, RP, Whi
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)LP, Album, Ltd, RP, Gla
Get Your Yo Yo's Out (Eater Live E.P.)Eater
UK 1978 (The Label (2) TLR 007)12", EP, Ltd, Blu
Never EnderHot Water Music
Europe 2026 (none)LP, Comp, Ltd, RM, RP, Pea
Chixdiggit!Chixdiggit
Italy 2024 (Hey Suburbia SUB045)LP, Album, Ltd, RE, Red
Pussy For SaleLaughin' Nose
Sweden 2012 (Under The Radar (6) none)LP, MiniAlbum, Ltd, RE, Unofficial
Troubleman Solo Singles Series #6Tara Jane O'Neil
US 2000 (Troubleman Unlimited TMU 052)7", Single, Ltd, RP
An Intimate Study Of AlcoholRavetank
US 2019 (Mount Seldom Records MSR054)Cass, Album, Ltd, Num, RE, Nav
Album Generic FlipperFlipper
US 2026 (Superior Viaduct SV210)LP, Album, Ltd, RE, Tra
Live At Dead LakeHot Club De Paris
UK 2008 (Moshi Moshi Records MOSHICD23)CD, Album + CD, EP, Enh, Ltd
Rat Saw GodWednesday
US 2023 (Dead Oceans DOC328)LP, Album, Ltd, Pur
Melon EnemaEat Me
UK 2016 (Crust Baby Records none)Cass, EP, Ltd, Pin
The RaincoatsThe Raincoats
UK 2022 (We Three WE 1)LP, Album, Ltd, RE, RM, Sil
Crush the Sublime GodsDr. Living Dead!
Europe 2015 (Century Media 9985278)CD, Album, Ltd, Dig
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.